OpenTTD Source: WaterRegionNode Struct Reference

OpenTTD Source 15.3

Public Types | Public Member Functions
WaterRegionNode Struct Reference

Yapf Node for water regions. More...

Inheritance diagram for WaterRegionNode:

## Public Types
using | Key = WaterRegionPatchKey
using | Node = WaterRegionNode
Public Types inherited from CYapfNodeT< WaterRegionPatchKey, WaterRegionNode >
typedef WaterRegionPatchKey | Key
typedef WaterRegionNode | Node

## Public Member Functions
void | Set (Node *parent, const WaterRegionPatchDesc &water_region_patch)
void | Set (Node *parent, const Key &key)
DiagDirection | GetDiagDirFromParent () const
Public Member Functions inherited from CYapfNodeT< WaterRegionPatchKey, WaterRegionNode >
void | Set (Node *parent, TileIndex tile, Trackdir td, bool is_choice)
Node * | GetHashNext ()
void | SetHashNext (Node *pNext)
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
const WaterRegionPatchKey & | GetKey () const
int | GetCost () const
int | GetCostEstimate () const
bool | GetIsChoice () const
bool | operator< (const Node &other) const
void | Dump (DumpTarget &dmp) const

## Additional Inherited Members
Data Fields inherited from CYapfNodeT< WaterRegionPatchKey, WaterRegionNode >
WaterRegionPatchKey | key
Node * | hash_next
Node * | parent
int | cost
int | estimate
bool | is_choice

## Detailed Description

Yapf Node for water regions.

Definition at line 45 of file yapf_ship_regions.cpp.

## Member Typedef Documentation

## ◆ Key

using WaterRegionNode::Key = WaterRegionPatchKey

Definition at line 46 of file yapf_ship_regions.cpp.

## ◆ Node

using WaterRegionNode::Node = WaterRegionNode

Definition at line 47 of file yapf_ship_regions.cpp.

## Member Function Documentation

## ◆ GetDiagDirFromParent()

DiagDirection WaterRegionNode::GetDiagDirFromParent | ( |  | ) | const
| inline

Definition at line 63 of file yapf_ship_regions.cpp.

## ◆ Set() [1/2]

void WaterRegionNode::Set | ( | Node * | parent,
|  | const Key & | key
| ) |  |
| inline

Definition at line 58 of file yapf_ship_regions.cpp.

## ◆ Set() [2/2]

void WaterRegionNode::Set | ( | Node * | parent,
|  | const WaterRegionPatchDesc & | water_region_patch
| ) |  |
| inline

Definition at line 49 of file yapf_ship_regions.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_ship_regions.cpp